﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


namespace HDI.Charts2
{
    public class Legend : Dictionary<string, string>
    {
        public Chart Chart;
        public Legend(Chart chart)
        {
            Chart = chart;
            this.setOption("position", "'top'");

        }

        public void setOption(string key, string value)
        {
            if (!this.Keys.Contains(key))
            {
                this.Add(key, value);
            }
            else
            {
                this[key] = value;
            }
        }

        public string getJS()
        {
            StringBuilder output = new StringBuilder(String.Format("\n\nvar {0}_legend = new AmCharts.AmLegend();\n", Chart.ClientID));

            foreach (KeyValuePair<string, string> option in this)
                output.Append(String.Format("{0}_legend." + option.Key + " = " + option.Value + ";\n", Chart.ClientID));
            output.Append(String.Format("{0}_chart.addLegend({0}_legend);\n", Chart.ClientID));
            return output.ToString();
        }
    }
}
